<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CMSListMenu.aspx.cs" Inherits="CMSControlsExamples_CMSListMenu" Theme="Default" %>

<%@ Register Assembly="CMS.Controls" Namespace="CMS.Controls" TagPrefix="cc1" %>
<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
	<title>CMSListMenu example</title>
	<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5"/>
	<link rel="stylesheet" type="text/css" href="menu.css" />
	<link rel="stylesheet" type="text/css" href="styles.css" /> <!--[if IE]>
<style type="text/css" media="screen">.Horizontal LI {
	BEHAVIOR: url(../CMSScripts/LIhover.htc)
}
#Horizontal2 UL UL {
	MARGIN-LEFT: 1px
}
.Vertical LI {
	BEHAVIOR: url(../CMSScripts/LIhover.htc)
}
.DropDown {
	BEHAVIOR: url(../CMSScripts/LIhover.htc)
}
.Vertical LI {
	FLOAT: left; WIDTH: 100%
}
.DropDown LI {
	FLOAT: left; WIDTH: 100%
}
</style>
<![endif]-->
</head>
<body>
	<form id="form1" runat="server" style=" z-index: 1">
		<asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="titleElem" runat="server" TitleText="CMSListMenu example" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                <%--DEFAULT--%>
		       <cc1:CMSListMenu id="Menu1" runat="server" RenderLinkTitle="true" />
		        <%--HORIZONTAL 1--%>
		        <div class="Horizontal">
			        <cc1:CMSListMenu id="Horizontal1" runat="server" CSSPrefix="Main;SubMenu;OtherSubMenus"
				    HighlightedNodePath="/Products/Notebooks" DisplayHighlightedItemAsLink="True" LastItemCssClass="last"
				    FirstItemCssClass="first" HighlightAllItemsInPath="true" />
		        </div>
		       <%-- HORIZONTAL  --%>
		        <div class="Horizontal" style="MARGIN-TOP:5px">
			        <cc1:CMSListMenu id="Horizontal2" runat="server" CSSPrefix="Main;SubMenu;OtherSubMenus"
				    HighlightedNodePath="/Products" DisplayHighlightedItemAsLink="True" LastItemCssClass="last" firstitemcssclass="first"
				    RenderCssClasses="False" RenderItemID="True" />
		        </div>
		        <div style="FLOAT: left; width:100%">
			        <div style="MARGIN-TOP: 30px; FLOAT: left">
			            <%--Vertical--%>
				        <div class="Vertical">
					        <cc1:CMSListMenu id="Vertical" runat="server" HighlightedNodePath="/Home"
						    CSSPrefix="Main;SubMenu;OtherSubMenus" FirstItemCssClass="first"
						    LastItemCssClass="last" DisplayHighlightedItemAsLink="True" />
				        </div>
			        </div>
			        <div style="MARGIN-TOP: 30px; FLOAT: right; MARGIN-LEFT: 0px">
			            
			            <%-- Dropdown --%>
				        <div class="DropDown">
					        <cc1:CMSListMenu id="DropDown" runat="server" HighlightedNodePath="" CSSPrefix="Main;SubMenu;OtherSubMenus"
						    DisplayHighlightedItemAsLink="True" />
					        <div style="PADDING-RIGHT: 2px; PADDING-LEFT: 2px; PADDING-BOTTOM: 2px; PADDING-TOP: 2px">... 
						        choose ...</div>
				        </div>
			        </div>

		        </div>
            </asp:Panel>
        </asp:Panel>
	</form>
</body>
</html>
