CREATE TABLE [CMS_AllowedChildClasses] (
		[ParentClassID]     int NOT NULL,
		[ChildClassID]      int NOT NULL
)
ON [PRIMARY]
ALTER TABLE [CMS_AllowedChildClasses]
	ADD
	CONSTRAINT [PK__CMS_AllowedChild__1B0907CE]
	PRIMARY KEY
	([ParentClassID], [ChildClassID])
	ON [PRIMARY]
IF OBJECT_ID(N'[CMS_AllowedChildClasses]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Class]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Allow__Child__1CF15040]') IS NULL
BEGIN
		ALTER TABLE [CMS_AllowedChildClasses]
			ADD CONSTRAINT [FK__CMS_Allow__Child__1CF15040]
			FOREIGN KEY ([ChildClassID]) REFERENCES [CMS_Class] ([ClassID])
END
IF OBJECT_ID(N'[CMS_AllowedChildClasses]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Class]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Allow__Paren__1BFD2C07]') IS NULL
BEGIN
		ALTER TABLE [CMS_AllowedChildClasses]
			ADD CONSTRAINT [FK__CMS_Allow__Paren__1BFD2C07]
			FOREIGN KEY ([ParentClassID]) REFERENCES [CMS_Class] ([ClassID])
END
