CREATE TABLE [CMS_AttachmentHistory] (
		[AttachmentHistoryID]       int NOT NULL IDENTITY(1, 1),
		[AttachmentName]            nvarchar(255) NOT NULL,
		[AttachmentExtension]       nvarchar(50) NOT NULL,
		[AttachmentSize]            int NOT NULL,
		[AttachmentMimeType]        nvarchar(50) NOT NULL,
		[AttachmentBinary]          image NULL,
		[AttachmentImageWidth]      int NULL,
		[AttachmentImageHeight]     int NULL,
		[AttachmentDocumentID]      int NOT NULL,
		[AttachmentGUID]            uniqueidentifier NOT NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [CMS_AttachmentHistory]
	ADD
	CONSTRAINT [PK__CMS_AttachmentHi__0B91BA14]
	PRIMARY KEY
	([AttachmentHistoryID])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_AttachmentHistory]
	ON [CMS_AttachmentHistory] ([AttachmentGUID])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_AttachmentHistory_1]
	ON [CMS_AttachmentHistory] ([AttachmentDocumentID])
	ON [PRIMARY]
