CREATE TABLE [CMS_SiteDomainAlias] (
		[SiteDomainAliasID]             int NOT NULL IDENTITY(1, 1),
		[SiteDomainAliasName]           nvarchar(400) NOT NULL,
		[SiteID]                        int NOT NULL,
		[SiteDefaultVisitorCulture]     nvarchar(50) NULL
)
ON [PRIMARY]
ALTER TABLE [CMS_SiteDomainAlias]
	ADD
	CONSTRAINT [PK__CMS_SiteDomainAl__6383C8BA]
	PRIMARY KEY
	([SiteDomainAliasID])
	ON [PRIMARY]
IF OBJECT_ID(N'[CMS_SiteDomainAlias]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Site]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_SiteD__SiteI__6477ECF3]') IS NULL
BEGIN
		ALTER TABLE [CMS_SiteDomainAlias]
			ADD CONSTRAINT [FK__CMS_SiteD__SiteI__6477ECF3]
			FOREIGN KEY ([SiteID]) REFERENCES [CMS_Site] ([SiteID])
END
CREATE INDEX [IX_CMS_SiteDomainAlias]
	ON [CMS_SiteDomainAlias] ([SiteDomainAliasName])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_SiteDomainAlias_1]
	ON [CMS_SiteDomainAlias] ([SiteID])
	ON [PRIMARY]
