CREATE PROCEDURE [Proc_CMS_Class_Update]
	@ClassID int,
    @ClassDisplayName nvarchar(100),
    @ClassName nvarchar(100),
    @ClassUsesVersioning bit,
    @ClassIsDocumentType bit,
    @ClassIsCoupledClass bit,
    @ClassXmlSchema ntext,
    @ClassFormDefinition ntext,
    @ClassNewPageUrl nvarchar(100),
    @ClassEditingPageUrl nvarchar(100),
    @ClassListPageUrl nvarchar(100),
    @ClassNodeNameSource nvarchar(100),
    @ClassTableName nvarchar(100),
	@ClassViewPageUrl nvarchar(450),
	@ClassPreviewPageUrl nvarchar(450),
	@ClassFormLayout ntext,
	@ClassShowAsSystemTable bit,
	@ClassUsePublishFromTo bit,
	@ClassShowTemplateSelection bit,
	@ClassSKUMappings nvarchar(450)
AS
UPDATE [CMS_Class] 
SET 
	ClassDisplayName = @ClassDisplayName,
	ClassName = @ClassName,
	ClassUsesVersioning = ClassUsesVersioning,
	ClassIsDocumentType = @ClassIsDocumentType,
	ClassIsCoupledClass = @ClassIsCoupledClass,
	ClassXmlSchema = @ClassXmlSchema,
	ClassFormDefinition = @ClassFormDefinition,
	ClassNewPageUrl = @ClassNewPageUrl,
	ClassEditingPageUrl = @ClassEditingPageUrl,
	ClassListPageUrl = @ClassListPageUrl,
	ClassNodeNameSource = @ClassNodeNameSource,
	ClassTableName = @ClassTableName,
	ClassViewPageUrl = @ClassViewPageUrl,
	ClassPreviewPageUrl = @ClassPreviewPageUrl,
	ClassFormLayout = @ClassFormLayout,
	ClassShowAsSystemTable = @ClassShowAsSystemTable,
	ClassUsePublishFromTo = @ClassUsePublishFromTo,
	ClassShowTemplateSelection = @ClassShowTemplateSelection,
	ClassSKUMappings = @ClassSKUMappings
WHERE
	ClassID = @ClassID
