CREATE PROCEDURE [Proc_CMS_SettingsKey_Update]
	@KeyName nvarchar(100),
	@KeyDisplayName nvarchar(200),
    @KeyDescription ntext,
    @KeyValue ntext,
    @KeyType nvarchar(50),
    @KeyCategoryID int,
	@SiteName nvarchar(100)
AS
BEGIN
	DECLARE @SiteID int;
	IF ( @SiteName <> NULL )
		SET @SiteID = ( SELECT SiteID FROM CMS_Site WHERE SiteName = @SiteName )
	ELSE
		SET @SiteID = NULL
	UPDATE CMS_SettingsKey SET 
		[KeyDisplayName] = @KeyDisplayName,
		[KeyDescription] = @KeyDescription,
		[KeyValue] = @KeyValue,
		[KeyType] = @KeyType, 
		[KeyCategoryID] = @KeyCategoryID,
		[SiteID] = @SiteID
	WHERE KeyName = @KeyName AND SiteID = @SiteID
END
