<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ImportSite.aspx.cs" Inherits="ImportSitePage"
    Theme="Default" EnableEventValidation="false" %>

<%@ Register Src="../../../CMSAdminControls/RequireScript.ascx" TagName="RequireScript"
    TagPrefix="uc3" %>
<%@ Register Src="~/CMSAdminControls/ActivityBar.ascx" TagName="ActivityBar" TagPrefix="uc1" %>
<%@ Register Src="~/CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<%@ Register Src="../Global/Import_FileSelection.ascx" TagName="FileSelection" TagPrefix="uc2" %>
<%@ Register Src="../Global/Import_SiteDetails.ascx" TagName="SiteDetails" TagPrefix="uc2" %>
<%@ Register Src="../Global/Import_ImportType.ascx" TagName="ImportType" TagPrefix="uc2" %>
<%@ Register Src="../Global/ImportGridView.ascx" TagName="ImportGridView" TagPrefix="uc2" %>
<%@ Register Src="../Global/Import_Documents.ascx" TagName="Documents" TagPrefix="uc2" %>
<%@ Register Src="../Global/Import_ObjectsWizard.ascx" TagName="ObjectsWizard" TagPrefix="uc2" %>
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Site import</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>

    <script language="javascript" type="text/javascript">
    <!--      
        var timerId = 0;
        var i = 0;
        
        function GetImportStateAction()
        {
            Activity();
            if ( i++ >= 10 )
            {
                i = 0;
                try
                {
                    GetImportState(false);
                }
                catch (ex)
                {
                }
            }
        }

        // End timer function
        function StopImportStateTimer()
        {
           if(timerId)
           {
              clearInterval(timerId);
              timerId  = 0;
              HideActivity();
           }
        } 
        
        // Start timer function
        function StartImportStateTimer()
        {
            timerId = setInterval("GetImportStateAction()", 50);
        } 

        // Cancel import
        function CancelImport()
        {
            StopImportStateTimer();
            GetImportState(true);
            return false;
        } 

    -->
    </script>

</head>
<body>
    <form id="form1" runat="server">
        <asp:Literal ID="ltlScript" runat="server" EnableViewState="false" />
        <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="ptImport" runat="server" />
            </asp:Panel>
            <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                <asp:PlaceHolder ID="plcWizard" runat="server">
                    <div id="wzdBody" class="NewSiteWizardBody">
                        <div id="wzdHeader" class="WizardHeader">
                            <asp:Label ID="lblStepTitle" runat="server" SkinID="WizardStepHeader"></asp:Label>
                            <asp:Label ID="lblStepDesc" runat="server" CssClass="NewSiteWizardStepDescription"></asp:Label>
                        </div>
                        <asp:Button ID="btnHidden" runat="server" SkinID="HiddenButton" OnClick="btnHidden_onClick" />
                        <asp:Wizard ID="wzdImport" runat="server" DisplaySideBar="False" FinishCompleteButtonText=""
                            NavigationButtonStyle-Width="75" NavigationStyle-HorizontalAlign="Left" FinishPreviousButtonText=""
                            StartNextButtonText="" StepNextButtonText="" StepPreviousButtonText="">
                            <StepNavigationTemplate>
                                <div id="buttonsDiv" style="padding: 10px;">
                                    <cc1:LocalizedButton UseSubmitBehavior="True" ID="StepNextButton" runat="server"
                                        CommandName="MoveNext" Text="{$Install.NextStep$}" OnClientClick="NextStep(this,document.getElementById('buttonsDiv'));"
                                        Width="100" />
                                </div>
                            </StepNavigationTemplate>
                            <StartNavigationTemplate>
                                <div id="buttonsDiv" style="padding: 10px 0px 10px 10px">
                                    <cc1:LocalizedButton UseSubmitBehavior="True" ID="StepNextButton" runat="server"
                                        CommandName="MoveNext" Text="{$Install.NextStep$}" OnClientClick="NextStep(this,document.getElementById('buttonsDiv'));"
                                        Width="100" />
                                </div>
                            </StartNavigationTemplate>
                            <WizardSteps>
                                <asp:WizardStep ID="wzdStepFileSelection" runat="server" AllowReturn="False" StepType="start">
                                    <asp:Panel ID="pnlStepFileSelection" runat="server" SkinID="NewSiteWizardStep">
                                        <uc2:FileSelection ID="ucFileSelection" runat="server" />
                                    </asp:Panel>
                                </asp:WizardStep>
                                <asp:WizardStep ID="wzdStepSiteDetails" runat="server" AllowReturn="False" StepType="Step">
                                    <asp:Panel ID="pnlStepSiteDetails" runat="server" SkinID="NewSiteWizardStep">
                                        <uc2:SiteDetails ID="ucSiteDetails" runat="server" />
                                    </asp:Panel>
                                </asp:WizardStep>
                                <asp:WizardStep ID="wzdStepFinish" runat="server" AllowReturn="false" StepType="Complete">
                                    <asp:Panel ID="pnlStepFinish" runat="server" SkinID="NewSiteWizardStep">
                                        <asp:Label ID="lblResult" runat="server"></asp:Label><br />
                                        <asp:Label ID="lblFinish" runat="server" /><br />
                                    </asp:Panel>
                                    <table width="100%" cellpadding="0" cellspacing="0">
                                        <tr>
                                            <td style="padding: 10px;">
                                                <asp:Button ID="btnFinish" runat="server" OnClick="wzdImport_FinishButtonClick" SkinID="contentButton"
                                                    Enabled="false" />
                                                <asp:Button ID="btnCancel" runat="server" SkinID="contentButton" />
                                            </td>
                                            <td style="padding: 10px; vertical-align: middle; text-align: right;">
                                                <uc1:ActivityBar runat="server" ID="barActivity" />
                                            </td>
                                        </tr>
                                    </table>
                                </asp:WizardStep>
                            </WizardSteps>
                        </asp:Wizard>
                    </div>
                </asp:PlaceHolder>
                <asp:PlaceHolder ID="plcObjectWizard" runat="server" Visible="false">
                    <uc2:ObjectsWizard ID="ucObjectWizard" runat="server" />
                </asp:PlaceHolder>
                <asp:Label ID="lblError" runat="server" SkinID="ErrorLabel"></asp:Label>
                <asp:Label ID="lblAsyncError" runat="server" SkinID="ErrorLabel"></asp:Label>
                <asp:Label ID="lblAsyncWarning" runat="server" SkinID="ErrorLabel"></asp:Label>
            </asp:Panel>
        </asp:Panel>
        <asp:Literal ID="ltlScriptAfter" runat="server" EnableViewState="false" />
        <asp:HiddenField ID="hdnStatus" runat="server" />
    </form>
</body>
</html>
