<%@ Page Language="C#" AutoEventWireup="true" CodeFile="site_list.aspx.cs" Inherits="SiteManager_site_list"
    Theme="Default" %>

<%@ Register Src="../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc2" %>
<%@ Register Src="../../CMSAdminControls/UniGrid.ascx" TagName="UniGrid" TagPrefix="uc1" %>
<%@ Register Src="../../CMSAdminControls/ActivityBar.ascx" TagName="ActivityBar"
    TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>CMSSiteManager - Sites</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height:100%; 
        }
    </style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="PanelBody" runat="server" SkinID="PageBody">
            <asp:Panel ID="PanelTitle" runat="server" SkinID="PageHeader">
                <uc2:PageTitle ID="PageTitleSites" runat="server" />
            </asp:Panel>
            <asp:Panel ID="PaneNewSite" runat="server" SkinID="PageHeaderLine">
                <asp:Panel runat="server" ID="pnlNew" SkinID="PageHeaderItem">
                    <asp:Image ID="ImageNewSite" runat="server" SkinID="NewItemImage" />
                    <asp:HyperLink ID="HyperlinkNewSite" runat="server" SkinID="NewItemLink" NavigateUrl="Site_New.aspx" />
                </asp:Panel>
                <asp:Panel runat="server" ID="pnlImport" SkinID="PageHeaderItem">
                    <asp:Image ID="ImageImportSite" runat="server" SkinID="NewItemImage" />
                    <asp:HyperLink ID="HyperlinkImportSite" runat="server" SkinID="NewItemLink" NavigateUrl="Import/ImportSite.aspx" />
                </asp:Panel>        
                <asp:Panel runat="server" ID="pnlExportSettings" SkinID="PageHeaderItem">
                    <asp:Image ID="ImageExportSettings" runat="server" SkinID="NewItemImage" />
                    <asp:HyperLink ID="HyperlinkExportSettings" runat="server" SkinID="NewItemLink" NavigateUrl="Export/ExportSettings.aspx" />
                </asp:Panel>        
                <br clear="all" />
            </asp:Panel>
            <asp:Panel ID="PanelSites" runat="server" SkinID="PageContent">
                <asp:Label ID="lblErrorMsg" runat="server" Text="" SkinID="ErrorLabel"></asp:Label>
                <uc1:UniGrid ID="UniGridSites" runat="server" GridName="site_list.xml" OrderBy="SiteDisplayName" ></uc1:UniGrid>
            </asp:Panel>
        </asp:Panel>
        <asp:Literal runat="server" id="ltlScript" EnableViewState="false" />
    </form>
</body>
</html>
