<%@ Control Language="C#" AutoEventWireup="true" CodeFile="~/CMSWebParts/Membership/MyProfile.ascx.cs" Inherits="CMSWebParts_Membership_MyProfile" %>
<asp:Label ID="lblInfo" runat="server"></asp:Label>
<asp:Label ID="lblError" runat="server" ForeColor="red"></asp:Label>
<asp:Panel ID="RegForm" runat="server" CssClass="MyProfilePanel">
<table>
    <tr>
        <td>
            <asp:Label ID="lblFirstName" runat="server" AssociatedControlID="txtFirstName"></asp:Label>
        </td>
        <td>                            
            <asp:TextBox ID="txtFirstName" runat="server" CssClass="MyProfileFirstName"></asp:TextBox>
            <asp:RequiredFieldValidator ID="rfvFirstName" runat="server" ValidationGroup="MyProfile" ControlToValidate="txtFirstName" Display="Dynamic"></asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lblLastName" runat="server" AssociatedControlID="txtLastName"></asp:Label>
        </td>
        <td>                            
            <asp:TextBox ID="txtLastName" runat="server" CssClass="MyProfileLastName"></asp:TextBox>
            <asp:RequiredFieldValidator ID="rfvLastName" runat="server" ValidationGroup="MyProfile" ControlToValidate="txtLastName" Display="Dynamic"></asp:RequiredFieldValidator>
        </td>
    </tr>    
    <tr>
        <td>
            <asp:Label ID="lblEmail" runat="server" AssociatedControlID="txtEmail"></asp:Label>
        </td>
        <td>                            
            <asp:TextBox ID="txtEmail" runat="server" CssClass="MyProfileEmail"></asp:TextBox>
            <asp:RegularExpressionValidator ID="rfvEmail" runat="server"
                ControlToValidate="txtEmail" Display="Dynamic" ValidationGroup="MyProfile"></asp:RegularExpressionValidator></td>
    </tr>
    <tr>
        <td>
            <asp:Label ID="lblLanguage" runat="server" AssociatedControlID="drpLanguages"></asp:Label>
        </td>
        <td>                            
            <asp:DropDownList ID="drpLanguages" runat="server" CssClass="MyProfileLanguage">
            </asp:DropDownList></td>
    </tr>
    <tr>
        <td style="height: 26px"></td>
        <td style="height: 26px"><asp:Button ID="btnOK" runat="server" OnClick="btnOK_Click" ValidationGroup="MyProfile" SkinID="ContentButton" EnableViewState="false" /></td>
    </tr>                
</table>
</asp:Panel>