<%@ Page Language="C#" AutoEventWireup="true" CodeFile="menu.aspx.cs" Inherits="CMSDesk_Content_Properties_menu"
    Theme="Default" %>

<%@ Register Src="../editmenu.ascx" TagName="editmenu" TagPrefix="uc2" %>
<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Properties - menu</title>
    <style type="text/css">
    body
    {
        margin: 0px;
        padding: 0px;
        height: 100%;
    }
</style>
</head>
<body class="VerticalTabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">

        <script language="javascript" type="text/javascript">
        <!--          
		    function PassiveRefresh(){}
            
            function enableTextBoxes(txtId)
            {
                var txt1 = document.getElementById('txtJavaScript');
                var txt2 = document.getElementById('txtUrl');
                var lblIna = document.getElementById('lblInactivate');
                var txtIna = document.getElementById('txtInactivate');
                
                if ((txtId == '')||(txtId=='inactive'))
                {
                    if (txt1 != null)
                    {
                        txt1.disabled = true;
                    }
                    
                    if (txt2 != null)
                    {
                        txt2.disabled = true;
                    }
                    
                    if (txtId=='inactive')
                    {
                        lblIna.style.display = "inline";
                        txtIna.style.display = "inline";
                    }
                    else
                    {
                        lblIna.style.display = "none";
                        txtIna.style.display = "none";
                    }
                    
                }
                
                if ((txtId=='java'))
                {
                    lblIna.style.display = "none";
                    txtIna.style.display = "none";
                
                 if (txt1 != null)
                    {
                        txt1.disabled = false;
                    }
                    
                    if (txt2 != null)
                    {
                        txt2.disabled = true;
                    }
                }
                
                if ((txtId=='url'))
                {
                    lblIna.style.display = "none";
                    txtIna.style.display = "none";
                 if (txt1 != null)
                    {
                        txt1.disabled =true;
                    }
                    
                    if (txt2 != null)
                    {
                        txt2.disabled = false;
                    }
                }
                
            }
        
        -->
        </script>

        <asp:Panel runat="server" ID="pnlBody" SkinID="VerticalTabsPageBody">
            <asp:Panel runat="server" ID="pnlTab" SkinID="VerticalTabsPageContent">
                <asp:Panel runat="server" ID="pnlMenu" SkinID="ContentEditMenu">
                    <uc2:editmenu ID="menuElem" runat="server" ShowApprove="false" ShowReject="false"
                        ShowSubmitToApproval="false" ShowProperties="false" OnLocalSave="btnOK_Click" />
                </asp:Panel>
                <asp:Panel ID="pnlContent" runat="server" SkinID="PageContent">
                    <asp:Label ID="lblWorkflowInfo" runat="server" SkinID="WorkflowInfo" EnableViewState="false"
                        Visible="false" />
                    &nbsp;<asp:Label runat="server" ID="lblError" ForeColor="red" EnableViewState="false" /><asp:Label
                        runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false" />
                    <asp:Panel ID="pnlForm" runat="server">
                        <table>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblMenuCaption" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtMenuCaption" runat="server" SkinID="TextboxField" MaxLength="200"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblShowInNavigation" runat="server"></asp:Label>
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkShowInNavigation" runat="server"></asp:CheckBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblShowInSitemap" runat="server"></asp:Label>
                                </td>
                                <td>
                                    <asp:CheckBox ID="chkShowInSitemap" runat="server"></asp:CheckBox>
                                </td>
                            </tr>
                            <%-- Menu action --%>
                            <tr>
                                <td colspan="2">
                                    <br />
                                    <asp:Label ID="lblMenuActions" runat="server" Font-Bold="true" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:RadioButton runat="server" ID="radStandard" GroupName="MenuActionGroup" Checked="true" />
                                </td>
                                <td>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:RadioButton runat="server" GroupName="MenuActionGroup" ID="radInactive" />
                                <div style="text-align: right; padding-bottom: 5px;">
                                        <span id="lblInactivate" style="display: none; padding-left: 20px;">
                                            <asp:Label runat="server" ID="lblUrlInactive" />
                                        </span>
                                    </div>
                                </td>
                                <td style="vertical-align: bottom;">
                                    <span id="txtInactivate" style="display: none">
                                        <asp:TextBox runat="server" ID="txtUrlInactive" MaxLength="250" SkinID="TextboxField" />
                                    </span>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:RadioButton runat="server" GroupName="MenuActionGroup" ID="radJavascript" />
                                </td>
                                <td>
                                    <asp:TextBox runat="server" ID="txtJavaScript" SkinID="TextboxField" MaxLength="100" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:RadioButton runat="server" GroupName="MenuActionGroup" ID="radUrl" />
                                </td>
                                <td>
                                    <asp:TextBox runat="server" ID="txtUrl" SkinID="TextboxField" MaxLength="250" />
                                </td>
                            </tr>
                            <%-- Menu item design --%>
                            <tr>
                                <td colspan="2">
                                    <br />
                                    <asp:Label ID="lblMenuItemDesign" runat="server" Font-Bold="true"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblMenuItemStyle" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtMenuItemStyle" runat="server" SkinID="TextboxField" MaxLength="50"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblCssClass" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtCssClass" runat="server" SkinID="TextboxField" MaxLength="50"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblMenuItemLeftmage" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtMenuItemLeftImage" runat="server" SkinID="TextboxField" MaxLength="200"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblMenuItemImage" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtMenuItemImage" runat="server" SkinID="TextboxField" MaxLength="200"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblMenuItemRightImage" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtMenuItemRightImage" runat="server" SkinID="TextboxField" MaxLength="200"></asp:TextBox>
                                </td>
                            </tr>
                            <%-- Menu item mouse over --%>
                            <tr>
                                <td colspan="2">
                                    <br />
                                    <asp:Label ID="lblMenuItemDesignOnMouseOver" runat="server" Font-Bold="true"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblMenuItemStyleMouseOverr" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtMenuItemStyleMouseOver" runat="server" SkinID="TextboxField"
                                        MaxLength="50"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblCssClassMouseOver" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtCssClassMouseOver" runat="server" SkinID="TextboxField" MaxLength="50"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblMenuItemLeftmageMouseOver" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtMenuItemLeftImageMouseOver" runat="server" SkinID="TextboxField"
                                        MaxLength="200"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblMenuItemImageMouseOver" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtMenuItemImageMouseOver" runat="server" SkinID="TextboxField"
                                        MaxLength="200"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblMenuItemRightImageMouseOver" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtMenuItemRightImageMouseOver" runat="server" SkinID="TextboxField"
                                        MaxLength="200"></asp:TextBox>
                                </td>
                            </tr>
                            <%-- Menu item highlighted --%>
                            <tr>
                                <td colspan="2">
                                    <br />
                                    <asp:Label ID="lblMenuItemDesignHighlighted" runat="server" Font-Bold="true"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblMenuItemStyleHighlight" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtMenuItemStyleHighlight" runat="server" SkinID="TextboxField"
                                        MaxLength="50"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblCssClassHighlight" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtCssClassHighlight" runat="server" SkinID="TextboxField" MaxLength="50"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblMenuItemLeftmageHighlight" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtMenuItemLeftImageHighlight" runat="server" SkinID="TextboxField"
                                        MaxLength="200"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblMenuItemImageHighlight" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtMenuItemImageHighlight" runat="server" SkinID="TextboxField"
                                        MaxLength="200"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblMenuItemRightImageHighlight" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtMenuItemRightImageHighlight" runat="server" SkinID="TextboxField"
                                        MaxLength="200"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                </td>
                                <td>
                                    <asp:Button ID="btnOK" runat="server" SkinID="HiddenButton" OnClick="btnOK_Click" />
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    <asp:Literal runat="server" ID="ltlScript" EnableViewState="false" />
    
    </form>
</body>
</html>
