<%@ Page Language="C#" AutoEventWireup="true" CodeFile="workflow.aspx.cs" Inherits="CMSDesk_Content_Properties_workflow"
    Theme="Default" %>

<%@ Register Src="../../../CMSAdminControls/UniGrid.ascx" TagName="UniGrid" TagPrefix="uc1" %>
<%@ Register Assembly="CMS.Controls" Namespace="CMS.Controls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Properties - Workflow</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body class="VerticalTabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="VerticalTabsPageBody">
            <asp:Panel runat="server" ID="pnlTab" SkinID="VerticalTabsPageContent">
                <asp:Panel ID="pnlContent" runat="server" SkinID="PageContent">
                    <asp:Label runat="server" ID="lblError" ForeColor="red" EnableViewState="false" /><asp:Label
                        runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false" />
                    <asp:Panel ID="pnlWorkflow" runat="server">
                        <table width="100%">
                            <tr>
                                <td>
                                    <asp:Label ID="lblApprove" runat="server" CssClass="FormGroupHeader"></asp:Label>
                                </td>
                                <td>
                                    <asp:Label ID="lblSteps" runat="server" CssClass="FormGroupHeader"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td valign="top">
                                    <asp:Panel ID="pnlForm" runat="server">
                                        <table>
                                            <tr>
                                                <td valign="top">
                                                    <asp:Label ID="lblComment" runat="server"></asp:Label>
                                                </td>
                                                <td>
                                                    <asp:TextBox ID="txtComment" runat="server" TextMode="MultiLine" SkinID="TextAreaField"></asp:TextBox>
                                                </td>
                                            </tr>
                                            <asp:PlaceHolder ID="pnlSendMail" runat="server" Visible="false">
                                                <tr>
                                                    <td>
                                                        <asp:Label ID="lblSendMail" runat="server"></asp:Label>
                                                    </td>
                                                    <td>
                                                        <asp:CheckBox ID="chkSendMail" runat="server" Checked="True"></asp:CheckBox>
                                                    </td>
                                                </tr>
                                            </asp:PlaceHolder>
                                            <tr>
                                                <td>
                                                </td>
                                                <td>
                                                    <asp:Button ID="btnApprove" runat="server" SkinID="ContentButton" OnClick="btnApprove_Click" />
                                                    <asp:Button ID="btnReject" runat="server" SkinID="ContentButton" OnClick="btnReject_Click" />
                                                    <asp:Button ID="btnArchive" runat="server" SkinID="ContentButton" OnClick="btnArchive_Click" />
                                                </td>
                                            </tr>
                                        </table>
                                    </asp:Panel>
                                </td>
                                <td width="300" valign="top">
                                    <uc1:UniGrid ID="gridSteps" runat="server" GridName="workflowsteps.xml" OrderBy="StepOrder" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    &nbsp;
                                </td>
                                <td>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <asp:Label ID="lblHistory" runat="server" CssClass="FormGroupHeader"></asp:Label>
                                    <uc1:UniGrid ID="gridHistory" runat="server" GridName="workflowhistory.xml" OrderBy="WorkflowHistoryID DESC" />
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
