using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.GlobalHelper;
using CMS.ExtendedControls;
using CMS.SiteProvider;

public partial class CMSDesk_Tools_default : CMSDeskPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (CultureHelper.IsUICultureRTL())
        {
            ControlsHelper.ReverseFrames(this.colsFrameset);
        }

        // Show current resource
        string resourceName = ValidationHelper.GetString(Request.QueryString["resourcename"], "");
        if (resourceName != "")
        {
            ResourceInfo ri = ResourceInfoProvider.GetResourceInfo(resourceName);
            if ( (ri != null) && ri.ShowInToolsMenu)
            {
                string url = ValidationHelper.GetString(ri.ResourceUrl, "");
                if (url != "")
                {
                    this.frameMain.Attributes["src"] = ResolveUrl(url);
                }
            }
        }
    }
}
