using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.GlobalHelper;
using CMS.CMSHelper;
using CMS.SiteProvider;
using CMS.DataEngine;

public partial class CMSFormControls_selectRelationshipNames : CMS.FormEngine.FormEngineUserControl
{
    string mSelectedValue = "";
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            DataSet ds = RelationshipNameInfoProvider.GetAllRelationshipNames(CMSContext.CurrentSite.SiteID);

            if (!DataHelper.DataSourceIsEmpty(ds))
            {
                drpRelationshipNames.DataSource = ds;
                drpRelationshipNames.DataBind();

                if ((mSelectedValue != null) && (drpRelationshipNames.Items.FindByValue(mSelectedValue) != null))
                {
                    drpRelationshipNames.SelectedValue = mSelectedValue;
                }
            }
        }
    }


    ///<summary>Gets or sets field value.</summary>
    public override object Value
    {
        get
        {
            return this.drpRelationshipNames.SelectedValue;
        }
        set
        {
            mSelectedValue = Convert.ToString(value);
        }
    }
}
