CREATE TABLE [CMS_ResourceTranslation] (
		[TranslationID]              int NOT NULL IDENTITY(1, 1),
		[TranslationStringID]        int NOT NULL,
		[TranslationUICultureID]     int NOT NULL,
		[TranslationText]            ntext NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [CMS_ResourceTranslation]
	ADD
	CONSTRAINT [PK__CMS_ResourceTran__1BC821DD]
	PRIMARY KEY
	([TranslationID])
	ON [PRIMARY]
IF OBJECT_ID(N'[CMS_ResourceTranslation]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_ResourceString]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Resou__Trans__1CBC4616]') IS NULL
BEGIN
		ALTER TABLE [CMS_ResourceTranslation]
			ADD CONSTRAINT [FK__CMS_Resou__Trans__1CBC4616]
			FOREIGN KEY ([TranslationStringID]) REFERENCES [CMS_ResourceString] ([StringID])
END
IF OBJECT_ID(N'[CMS_ResourceTranslation]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_UICulture]') IS NOT NULL
	AND OBJECT_ID(N'[FK__CMS_Resou__Trans__1DB06A4F]') IS NULL
BEGIN
		ALTER TABLE [CMS_ResourceTranslation]
			ADD CONSTRAINT [FK__CMS_Resou__Trans__1DB06A4F]
			FOREIGN KEY ([TranslationUICultureID]) REFERENCES [CMS_UICulture] ([UICultureID])
END
CREATE INDEX [IX_CMS_ResourceTranslation]
	ON [CMS_ResourceTranslation] ([TranslationStringID])
	ON [PRIMARY]
CREATE INDEX [IX_CMS_ResourceTranslation_1]
	ON [CMS_ResourceTranslation] ([TranslationUICultureID])
	ON [PRIMARY]
