CREATE TABLE [COM_InternalStatus] (
		[InternalStatusID]              int NOT NULL IDENTITY(1, 1),
		[InternalStatusName]            nvarchar(200) NOT NULL,
		[InternalStatusDisplayName]     nvarchar(200) NOT NULL,
		[InternalStatusEnabled]         bit NOT NULL
)
ON [PRIMARY]
ALTER TABLE [COM_InternalStatus]
	ADD
	CONSTRAINT [PK_COM_InternalStatus]
	PRIMARY KEY
	([InternalStatusID])
	ON [PRIMARY]
CREATE INDEX [IX_COM_InternalStatus]
	ON [COM_InternalStatus] ([InternalStatusName])
	ON [PRIMARY]
CREATE INDEX [IX_COM_InternalStatus_1]
	ON [COM_InternalStatus] ([InternalStatusDisplayName])
	ON [PRIMARY]
