CREATE TABLE [COM_PaymentOption] (
		[PaymentOptionID]                 int NOT NULL IDENTITY(1, 1),
		[PaymentOptionName]               nvarchar(200) NOT NULL,
		[PaymentOptionDisplayName]        nvarchar(200) NOT NULL,
		[PaymentOptionEnabled]            bit NOT NULL,
		[PaymentOptionSiteID]             int NULL,
		[PaymentOptionPaymentGateUrl]     nvarchar(500) NULL
)
ON [PRIMARY]
ALTER TABLE [COM_PaymentOption]
	ADD
	CONSTRAINT [PK_COM_PaymentOption]
	PRIMARY KEY
	([PaymentOptionID])
	ON [PRIMARY]
IF OBJECT_ID(N'[COM_PaymentOption]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Site]') IS NOT NULL
	AND OBJECT_ID(N'[FK_COM_PaymentOption_CMS_Site]') IS NULL
BEGIN
		ALTER TABLE [COM_PaymentOption]
			ADD CONSTRAINT [FK_COM_PaymentOption_CMS_Site]
			FOREIGN KEY ([PaymentOptionSiteID]) REFERENCES [CMS_Site] ([SiteID])
END
CREATE INDEX [IX_COM_PaymentOption]
	ON [COM_PaymentOption] ([PaymentOptionDisplayName])
	ON [PRIMARY]
CREATE INDEX [IX_COM_PaymentOption_1]
	ON [COM_PaymentOption] ([PaymentOptionName])
	ON [PRIMARY]
