CREATE TABLE [Forums_ForumGroup] (
		[GroupID]              int NOT NULL IDENTITY(1, 1),
		[GroupSiteID]          int NOT NULL,
		[GroupName]            nvarchar(200) NOT NULL,
		[GroupDisplayName]     nvarchar(200) NOT NULL,
		[GroupOrder]           int NULL,
		[GroupDescription]     ntext NULL
)
ON [PRIMARY]
TEXTIMAGE_ON [PRIMARY]
ALTER TABLE [Forums_ForumGroup]
	ADD
	CONSTRAINT [PK_Forums_ForumGroup]
	PRIMARY KEY
	([GroupID])
	ON [PRIMARY]
IF OBJECT_ID(N'[Forums_ForumGroup]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Site]') IS NOT NULL
	AND OBJECT_ID(N'[FK_Forums_ForumGroup_CMS_Site]') IS NULL
BEGIN
		ALTER TABLE [Forums_ForumGroup]
			ADD CONSTRAINT [FK_Forums_ForumGroup_CMS_Site]
			FOREIGN KEY ([GroupSiteID]) REFERENCES [CMS_Site] ([SiteID])
END
