CREATE TABLE [Newsletter_Subscriber] (
		[SubscriberID]            int NOT NULL IDENTITY(1, 1),
		[SubscriberEmail]         nvarchar(400) NOT NULL,
		[SubscriberFirstName]     nvarchar(200) NULL,
		[SubscriberLastName]      nvarchar(200) NULL,
		[SubscriberSiteID]        int NOT NULL,
		[SubscriberGUID]          uniqueidentifier NOT NULL
)
ON [PRIMARY]
ALTER TABLE [Newsletter_Subscriber]
	ADD
	CONSTRAINT [PK__Newsletter_Subsc__4B7734FF]
	PRIMARY KEY
	([SubscriberID])
	ON [PRIMARY]
IF OBJECT_ID(N'[Newsletter_Subscriber]') IS NOT NULL
	AND OBJECT_ID(N'[CMS_Site]') IS NOT NULL
	AND OBJECT_ID(N'[FK__Newslette__Subsc__4C6B5938]') IS NULL
BEGIN
		ALTER TABLE [Newsletter_Subscriber]
			ADD CONSTRAINT [FK__Newslette__Subsc__4C6B5938]
			FOREIGN KEY ([SubscriberSiteID]) REFERENCES [CMS_Site] ([SiteID])
END
CREATE INDEX [IX_Newsletter_Subscriber]
	ON [Newsletter_Subscriber] ([SubscriberEmail])
	ON [PRIMARY]
CREATE INDEX [IX_Newsletter_Subscriber_1]
	ON [Newsletter_Subscriber] ([SubscriberSiteID])
	ON [PRIMARY]
CREATE INDEX [IX_Newsletter_Subscriber_2]
	ON [Newsletter_Subscriber] ([SubscriberGUID])
	ON [PRIMARY]
