CREATE PROCEDURE [Proc_COM_OrderStatus_MoveStatusDown]
	@StatusID int
AS
BEGIN
	DECLARE @MaxStatusOrder int
	SET @MaxStatusOrder = (SELECT TOP 1 StatusOrder FROM COM_OrderStatus ORDER BY StatusOrder DESC);
	/* Move the next step(s) up */
	UPDATE COM_OrderStatus SET StatusOrder = StatusOrder - 1 WHERE StatusOrder = (SELECT StatusOrder FROM COM_OrderStatus WHERE StatusID = @StatusID) + 1 
	/* Move the current step down */
	UPDATE COM_OrderStatus SET StatusOrder = StatusOrder + 1 WHERE StatusID = @StatusID AND StatusOrder < @MaxStatusOrder
END
