<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ExportSite.aspx.cs" Inherits="SiteManager_Sites_Export_ExportSite"
    Theme="Default" ValidateRequest="false" %>

<%@ Register Src="../../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Export site</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>

    <script language="javascript" type="text/javascript">
        <!--      
            var timerId = 0;
            
            // start timer function
	        function StartExportStateTimer()
	        {
                timerId = setInterval("GetExportState(false)", 400);
	        } 

            // end timer function
	        function StopExportStateTimer()
	        {
               if(timerId)
               {
                  clearInterval(timerId);
                  timerId  = 0;
               }
	        }
	        
	        // Cancel export
            function CancelExport()
            {
                StopExportStateTimer();
                GetExportState(true);
                return false;
            } 
 
        -->
    </script>

</head>
<body>
    <form id="form1" runat="server">
        <asp:Literal ID="ltlScript" runat="server" EnableViewState="false" />
        <asp:Panel runat="server" ID="pnlBody" SkinID="PageBody">
            <asp:Panel runat="server" ID="pnlTitle" SkinID="PageHeader">
                <uc1:PageTitle ID="ptExport" runat="server" />
            </asp:Panel>
            <br />
            <asp:Panel ID="pnlStepFileSelection" runat="server" SkinID="ExportPanel" >
                <asp:Panel runat="server" ID="pnlContent" SkinID="PageContent">
                    <asp:Label runat="server" ID="lblFinish" SkinID="Information" EnableViewState="true" />
                    <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="true" />
                    <asp:Panel ID="pnlForm" runat="server">
                        <table>
                            <tr>
                                <td>
                                    <asp:Label ID="lblSiteCaption" runat="server"></asp:Label>
                                </td>
                                <td>
                                    <b><asp:Label ID="lblSiteName" runat="server"></asp:Label></b>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lblFileCaption" runat="server"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="txtFile" runat="server"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="rfvRequiredFile" runat="server" ControlToValidate="txtFile"></asp:RequiredFieldValidator>
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
            <br />
            <asp:Button ID="btnOK" runat="server" OnClick="ButtonOK_Click" SkinID="ContentButton" />
            <asp:Button ID="btnFinall" runat="server" OnClick="btnFinall_Click" Visible="false"
                Enabled="false" SkinID="ContentButton" />
            <asp:Button ID="btnCancel" runat="server" Visible="false" SkinID="ContentButton" />
            <br />
            <br />
            <asp:Label ID="lblError" SkinID="ErrorLabel" EnableViewState="false" runat="server" />
            <br />
            <asp:Button ID="btnTemporaryFiles" runat="server" OnClick="btnTemporaryFiles_Click"
                Visible="false" SkinID="ContentButton" />
            <asp:HyperLink ID="lnkPermissions" runat="server" Visible="false" />
            <asp:HiddenField ID="hdnFinish" runat="server" />
            <asp:HiddenField ID="hdnState" runat="server" />
        </asp:Panel>

        <script language="javascript" type="text/javascript">
        <!--      
            // callback function
	        function SetExportStateMssg(rValue, context)
	        {
	            var values = rValue.split('\n');
	            if((values[0]=='E') || (values[0]=='F') || values=='')
	            {
	                StopExportStateTimer();
	                document.getElementById('btnFinall').disabled = false;
	                document.getElementById('btnCancel').disabled = true;
	            }
	            
	            if(values[0]=='E')
                {
                    document.getElementById('lblError').innerHTML = values[1];
                }
	            else if(values[0]=='I')
                {	            
                    document.getElementById('lblInfo').innerHTML = values[1];
                }
                else if((values=='') || (values[0]=='F'))
                {
	                document.getElementById('lblFinish').innerHTML = document.getElementById('hdnFinish').value;
                }
	        } 
        -->
        </script>

    </form>
</body>
</html>
